summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2015-10-09 09:19:38 +0000
committerPatrice Clement <monsieurp@gentoo.org>2015-10-09 09:23:56 +0000
commit01b94eee60dd99f6a646cebbf365a04f54047456 (patch)
tree976dbf666ee63ea090b0b5812b3e68e3ebef29d8 /dev-java/bcprov
parentdev-ros/costmap_2d: Add missing dep on dev-ros/visualization_msgs. Bug #562596. (diff)
downloadgentoo-01b94eee60dd99f6a646cebbf365a04f54047456.tar.gz
gentoo-01b94eee60dd99f6a646cebbf365a04f54047456.tar.bz2
gentoo-01b94eee60dd99f6a646cebbf365a04f54047456.zip
dev-java/bprov: Add back old ebuilds for version 1.50 and 1.52 until SLOTing is fixed across the tree.
Currently, both ebuilds have two different SLOTs (0 and 1.52) which is inconsistent. We should decide on which SLOT we keep and mend ebuilds across the tree who use the wrong SLOT. I have been breaking the tree a couple of times this morning due to this mismatch. This commit should quiet down the CI system now. Package-Manager: portage-2.2.20.1 RepoMan-Options: --force Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'dev-java/bcprov')
-rw-r--r--dev-java/bcprov/bcprov-1.50-r2.ebuild66
-rw-r--r--dev-java/bcprov/bcprov-1.52-r1.ebuild66
2 files changed, 132 insertions, 0 deletions
diff --git a/dev-java/bcprov/bcprov-1.50-r2.ebuild b/dev-java/bcprov/bcprov-1.50-r2.ebuild
new file mode 100644
index 00000000000..b0deca88b8c
--- /dev/null
+++ b/dev-java/bcprov/bcprov-1.50-r2.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit java-pkg-2 java-pkg-simple
+
+MY_P="${PN}-jdk15on-${PV/./}"
+
+DESCRIPTION="Java cryptography APIs"
+HOMEPAGE="http://www.bouncycastle.org/java.html"
+SRC_URI="http://www.bouncycastle.org/download/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="1.50"
+KEYWORDS="amd64 ppc ppc64 x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos"
+
+CDEPEND=""
+
+DEPEND=">=virtual/jdk-1.6
+ app-arch/unzip
+ ${CDEPEND}"
+
+RDEPEND=">=virtual/jre-1.6
+ ${CDEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+JAVA_ENCODING="ISO-8859-1"
+
+# Package can't be built with test as bcprov and bcpkix can't be built with test.
+RESTRICT="test"
+
+src_unpack() {
+ default
+ cd "${S}"
+ unpack ./src.zip
+}
+
+java_prepare() {
+ if ! use test; then
+ # There are too many files to delete so we won't be using JAVA_RM_FILES
+ # (it produces a lot of output).
+ local RM_TEST_FILES=()
+ while read -d $'\0' -r file; do
+ RM_TEST_FILES+=("${file}")
+ done < <(find . -name "*Test*.java" -type f -print0)
+ while read -d $'\0' -r file; do
+ RM_TEST_FILES+=("${file}")
+ done < <(find . -name "*Mock*.java" -type f -print0)
+
+ rm -v "${RM_TEST_FILES[@]}"
+ fi
+}
+
+src_compile() {
+ java-pkg-simple_src_compile
+}
+
+src_install() {
+ java-pkg-simple_src_install
+ use source && java-pkg_dosrc org
+}
diff --git a/dev-java/bcprov/bcprov-1.52-r1.ebuild b/dev-java/bcprov/bcprov-1.52-r1.ebuild
new file mode 100644
index 00000000000..add187a0f71
--- /dev/null
+++ b/dev-java/bcprov/bcprov-1.52-r1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit java-pkg-2 java-pkg-simple
+
+MY_P="${PN}-jdk15on-${PV/./}"
+
+DESCRIPTION="Java cryptography APIs"
+HOMEPAGE="http://www.bouncycastle.org/java.html"
+SRC_URI="http://www.bouncycastle.org/download/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="1.52"
+KEYWORDS="amd64 ppc ppc64 x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos"
+
+CDEPEND=""
+
+DEPEND=">=virtual/jdk-1.6
+ app-arch/unzip
+ ${CDEPEND}"
+
+RDEPEND=">=virtual/jre-1.6
+ ${CDEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+JAVA_ENCODING="ISO-8859-1"
+
+# Package can't be build with test as bcprov and bcpkix can't be built with test.
+RESTRICT="test"
+
+src_unpack() {
+ default
+ cd "${S}"
+ unpack ./src.zip
+}
+
+java_prepare() {
+ if ! use test; then
+ # There are too many files to delete so we won't be using JAVA_RM_FILES
+ # (it produces a lot of output).
+ local RM_TEST_FILES=()
+ while read -d $'\0' -r file; do
+ RM_TEST_FILES+=("${file}")
+ done < <(find . -name "*Test*.java" -type f -print0)
+ while read -d $'\0' -r file; do
+ RM_TEST_FILES+=("${file}")
+ done < <(find . -name "*Mock*.java" -type f -print0)
+
+ rm -v "${RM_TEST_FILES[@]}"
+ fi
+}
+
+src_compile() {
+ java-pkg-simple_src_compile
+}
+
+src_install() {
+ java-pkg-simple_src_install
+ use source && java-pkg_dosrc org
+}